Bug 1595454 - Disabling "Dashboard" under service UI for a role does not actually disable the dashboard
Summary: Disabling "Dashboard" under service UI for a role does not actually disable ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Chris Hale
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1589409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 22:32 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
8 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1589409
Environment:
Last Closed: 2018-09-04 18:00:46 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:39 UTC

Comment 2 CFME Bot 2018-07-11 15:36:48 UTC
New commit detected on ManageIQ/manageiq-ui-service/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-service/commit/307c96833fe66b7bfccb66ea7ced8c767182b412
commit 307c96833fe66b7bfccb66ea7ced8c767182b412
Author:     Allen Wight <allen.b.wight@gmail.com>
AuthorDate: Wed Jun 20 11:27:49 2018 -0400
Commit:     Allen Wight <allen.b.wight@gmail.com>
CommitDate: Wed Jun 20 11:27:49 2018 -0400

    Merge pull request #1446 from chalettu/dashboard-permissions

    BZ#1589409 - Support for disabling Dashboard
    (cherry picked from commit ae385823137b78b78b1ea6b8abdee77b0b9b2ac4)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1595454

 client/app/components/dashboard/dashboard.component.js | 2 +-
 client/app/core/authorization.config.js | 12 +-
 client/app/core/navigation.service.js | 1 +
 client/app/core/product-features.constants.json | 5 +-
 client/app/states/dashboard/dashboard.state.js | 8 +-
 5 files changed, 19 insertions(+), 9 deletions(-)

Comment 3 Shveta 2018-07-16 15:12:01 UTC
Fixed in 5.9.4.0.20180711215406_53ad123

Comment 5 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.